rte_flow_action_mark(3)

NAME
rte_flow_action_mark

SYNOPSIS

#include <rte_flow.h>

  Data Fields

uint32_t id

Detailed Description

RTE_FLOW_ACTION_TYPE_MARK

Attaches an integer value to packets and sets RTE_MBUF_F_RX_FDIR and RTE_MBUF_F_RX_FDIR_ID mbuf flags.

This value is arbitrary and application-defined. Maximum allowed value depends on the underlying implementation. It is returned in the hash.fdir.hi mbuf field.

Definition at line 3343 of file rte_flow.h.

Field Documentation

  uint32_t id
Integer value to return with packets.

Definition at line 3344 of file rte_flow.h.

Author

Generated automatically by Doxygen for DPDK from the source code.